/*!
 * @file glgui_defs.h
 * Definitions for the GLGui.
 */

#ifndef _GLGUI_DEFS_H
#define _GLGUI_DEFS_H

/// TODO MOVE TO ORXGUI_TYPES
namespace OrxGui
{
  //! An enumeration for the Orientation of an Element.
  typedef enum {
    Horizontal,    //!< Horizontal Orientation.
    Vertical       //!< Vertical Orientation.
  } Orientation;

  //! An enumerator that defines the different states Widgets may be in.
  typedef enum {
    Normal,           //!< Normal state of the GUI's Widgets.
    Active,           //!< If the widget is Active.
    Selected,         //!< If the Widget is Selected.
    Insensitive       //!< If the Widget is insensitive.
  } State;
#define GLGUI_STATE_COUNT   4


};


#endif /* _GLGUI_DEFS_H */
